Skip to main content
GET
Retrieve Monitor

Authorizations

x-api-key
string
header
required

Path Parameters

monitor_id
string
required

Response

Successful Response

Response object for a monitor, including its status, cadence and metadata.

monitor_id
string
required

ID of the monitor.

query
string
required

The query being monitored.

Example:

"Recent news about LLM models."

status
enum<string>
required

Status of the monitor.

Available options:
active,
canceled
Examples:

"active"

"canceled"

frequency
string
required

Frequency of the monitor. Format: '' where unit is 'h' (hours), 'd' (days), or 'w' (weeks). Must be between 1h and 30d (inclusive).

Examples:

"1d"

"1w"

"1h"

"2w"

created_at
string<date-time>
required

Timestamp of the creation of the monitor.

Example:

"2025-01-15T10:30:00Z"

cadence
enum<string> | null
deprecated

Deprecated: use 'frequency' field instead.

Available options:
daily,
weekly,
hourly,
every_two_weeks
Example:

"daily"

metadata
Metadata · object | null

User-provided metadata stored with the monitor. Returned in webhook notifications and GET requests, enabling you to map responses to corresponding objects in your application.

Example:
webhook
MonitorWebhook · object | null

Webhook configuration for the monitor.

output_schema
JsonSchema · object | null

Output schema for the monitor event.

source_policy
SourcePolicy · object | null

Source policy governing preferred and disallowed domains in web search results.

Example:
last_run_at
string | null

Timestamp of the last run for the monitor.

Example:

"2025-01-15T10:30:00Z"

include_backfill
boolean | null

If true, the first execution includes historical events matching the query. Subsequent executions return only new events since the previous run.